# FeedItemContent Class Reference
[Feed's parsers]

List of all members.

## Public Member Functions

| getType ()
| setType (FeedItemContentType $type)
| getBody ()
| setBody ($body)

## Static Public Member Functions

static | create ()

## Private Attributes

| $type = null
| $body = null

## Detailed Description

Definition at line 15 of file FeedItemContent.class.php.

## Member Function Documentation

static FeedItemContent::create | ( |  | ) | `[static]`

Returns:
  FeedItemContent

Definition at line 23 of file FeedItemContent.class.php.

Referenced by AtomItemWorker::makeFeedItemContent(), YandexRssItemWorker::makeItems(), and RssItemWorker::makeItems().

FeedItemContent::getBody | ( |  | ) |

Definition at line 46 of file FeedItemContent.class.php.

FeedItemContent::getType | ( |  | ) |

Returns:
  FeedItemContentType

Definition at line 31 of file FeedItemContent.class.php.

FeedItemContent::setBody | ( | $ | body | ) |

Returns:
  FeedItemContent

Definition at line 54 of file FeedItemContent.class.php.

References $body.

FeedItemContent::setType | ( | FeedItemContentType $ | type | ) |

Returns:
  FeedItemContent

Definition at line 39 of file FeedItemContent.class.php.

## Member Data Documentation

FeedItemContent::$body = null`[private]`

Definition at line 18 of file FeedItemContent.class.php.

Referenced by setBody().

FeedItemContent::$type = null`[private]`

Definition at line 17 of file FeedItemContent.class.php.

The documentation for this class was generated from the following file:

- main/Markup/Feed/FeedItemContent.class.php